/***************************************************************************
 *   Copyright (C) 2006 by Roy Marples   *
 *   roy@marples.name   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kconfig.h>
#include <klocale.h>
#include <kmainwindow.h>
#include <kwin.h>

#include "khdapsmonitor.h"
#include "khdapsmonitorwidget.h"

KHDAPSMonitor::KHDAPSMonitor()
    : KUniqueApplication()
{
  window = 0;
}

KHDAPSMonitor::~KHDAPSMonitor()
{
  delete window;
}

int KHDAPSMonitor::newInstance()
{
  if (window)
    KWin::activateWindow(window->winId());
  else
  {
    window = new KHDAPSMonitorMain();
    if (isRestored() && KMainWindow::canBeRestored(0))
      window->restore(0, FALSE);
  }
  return 0;
}

#include "khdapsmonitor.moc"
