/***************************************************************************
 *   Copyright (C) 2006 by Roy Marples   *
 *   roy@marples.name   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kapplication.h>
#include <kconfig.h>
#include <klocale.h>

#include "khdapsmonitormain.h"

KHDAPSMonitorMain::KHDAPSMonitorMain() : KMainWindow()
{
  widget = new KHDAPSMonitorWidget(this);
  setCentralWidget(widget);

  trayIcon = new KHDAPSMonitorSysTray(this, "KHDAPSMonitorSysTray");
  trayIcon->show();

  timer = new QTimer(this);
  connect(timer, SIGNAL(timeout()), this, SLOT(update()));
  timer->start(UPDATE_INTERVAL);

  setAutoSaveSettings();
}

KHDAPSMonitorMain::~KHDAPSMonitorMain()
{
  timer->stop();
  delete timer;
  delete trayIcon;
  delete widget;
}

void KHDAPSMonitorMain::update()
{
  if (isVisible())
    widget->update();
}

bool KHDAPSMonitorMain::queryClose ( )
{
  if (! kapp->sessionSaving())
  {
    hide();
    return false;
  }
  return true;
}

#include "khdapsmonitormain.moc"
