/***************************************************************************
 *   Copyright (C) 2006 by Roy Marples   *
 *   roy@marples.name   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KHDAPSMONITORSYSTEMTRAY_H
#define KHDAPSMONITORSYSTEMTRAY_H

#include <ksystemtray.h>

#include <qtimer.h>

#include "sysfs.h"

#define KHDAPS_ICON_PLAY  "khdaps_play"
#define KHDAPS_ICON_PAUSE "khdaps_pause"
#define KHDAPS_ICON_ERROR "khdaps_error"

#define UPDATE_INTERVAL    250

class KHDAPSMonitorSysTray : public KSystemTray
{
  Q_OBJECT
public:
  KHDAPSMonitorSysTray(QWidget * parent, const char * name);
  ~KHDAPSMonitorSysTray();
public slots:
  void about();
  void update();
private:
  QString oldPixmap;
  QString oldToolTip;
  SysFS sysFS;
  QTimer * timer;
};

#endif // KHDAPSMONITORSYSTEMTRAY_H
