/***************************************************************************
 *   Copyright (C) 2006 by Roy Marples   *
 *   roy@marples.name   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "khdapsmonitor.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
  I18N_NOOP("HDAPS Monitor for TDE");

static const char version[] = "0.1.1";

static KCmdLineOptions options[] =
  {
    //    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
  };

int main(int argc, char **argv)
{
  KAboutData about("khdapsmonitor", I18N_NOOP("KHDAPSMonitor"), version, description,
                   KAboutData::License_GPL, "(C) 2006 Roy Marples (C) 2012 Calvin Morrison", 0, "http://roy.marples.name http://trinitydesktop.org",
                   "bugs@marples.name");
  about.addAuthor( "Roy Marples", 0, "roy@marples.name" );
  about.addAuthor( "Calvin Morrison", 0, "mutantturkey@gmail.com");
  KCmdLineArgs::init(argc, argv, &about);
  KCmdLineArgs::addCmdLineOptions( options );

  if (! KHDAPSMonitor::start())
    return 0;

  KHDAPSMonitor app;
  return app.exec();
}

